<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();
echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&$session><b>إعدادات المعرض</b></a></td>
    <td disabled align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=list&$session><b>ادارة تصنيفات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=info&$session><b>ملاحظات</b></a></td>
  </tr>
</table><br>";

echo "
<script language=javascript>
function checkForm(){
	if (!document.addf.gtitle.value) {
		alert('عفوا ... انت لم تقم بكتابة اسم للتصنيف'); 
		return false;
	} 
	if (!document.addf.gdesc.value) {
		alert('عفوا ... انت لم تقم بكتابة وصف للتصنيف'); 
		return false;
	} 
	if (!document.addf.name_file.value) {
		alert('عفوا ... انت لم تقم باختيار صورة التصنيف'); 
		return false;
	} 
	var xx=document.addf.gorder.options[document.addf.gorder.selectedIndex].value
	if (xx==''){
		alert('عفوا ... انت لم تقم بإختيار ترتيب للتصنيف'); 
		return false;
	}	
}
</script>
";

if($apt->post[save])
{
$gtitle = $apt->post[gtitle];
$gdesc = $apt->post[gdesc];
$gorder = $apt->post[gorder];
$allow_ext = array('.gif','.png','.jpg');
$file 	= $apt->files["name_file"]["tmp_name"];
$realname 	= $apt->files["name_file"]["name"];
$type 	= $apt->files["name_file"]["type"];
$size 	= $apt->files["name_file"]["size"];
$ext  	= strrchr($realname,'.');
$ext  = strtolower($ext);
$allow_e = in_array($ext,$allow_ext);
if(!$allow_e)
{
		modmsg("عفوا ... الصوره التي اخترتها يجب ان تكون بالامتداد gif,jpg,png<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=gallery&op=new&".$admin->get_sess());
}elseif($size > 1048576){
		modmsg("عفوا ... حجم الصوره التي اخترتها أكبر من واحد ميجابايت<br>سوف ترجع الان الى صفحة اضافة التصنيفات","mod.php?act=edit&mod=gallery&op=new&".$admin->get_sess());
}else{

$res = $apt->query("INSERT INTO rafia_gallery_cat VALUES ('', '$gtitle', '$gdesc', '', '$gorder', 0);");
$picid = $apt->insertid();
if($res){
$apt->query("UPDATE rafia_gallery_cat set gimg='modules/gallery/cat/$picid.jpg' where gid=$picid");
//***************************************
$thefile = $file;
if($ext=='.gif'){
$image = ImageCreateFromGIF($thefile);
}elseif($ext=='.png'){
$image = ImageCreateFromPNG($thefile);
}else{
$image = ImageCreateFromJPEG($thefile);
}
$width = imagesx($image) ;
$height = imagesy($image) ;

$new_width = 120; 
$new_height = ($new_width * $height) / $width ;

if (function_exists('ImagecreateTrueColor'))
{
$thumb = ImageCreateTrueColor($new_width,$new_height);
ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
ImageJPEG($thumb, './../modules/gallery/cat/'.$picid. '.jpg');
imagedestroy($image);

//***************************************

		modmsg("تم إنشاء التصنيف بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
}else{
		modmsg("عفوا ... حصل خطأ و لم يتم انشاء التصنيف<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
}

}
}else{

            $admin->opentable("اضافة تصنيف جديد للمعرض");
			echo "<form onsubmit='return checkForm(this)' name=addf enctype='multipart/form-data' act=mod.php?act=edit&mod=gallery&op=new&".$admin->get_sess()." method=post>";
            $admin->inputtext("عنوان التصنيف","gtitle",$gtitle);
            $admin->textarea("وصف بسيط للتصنيف","gdesc",'','rtl',3);
            $admin->inputfile("اختر صورة التصنيف");
            $admin->selectnum("الترتيب","gorder","",'1','15');
            $admin->inputhidden('save','1');
            $admin->closetable();
            $admin->submit("اضافة");

}
?>